<?php

/**
*	THESIS COMPATIBILITY SUITE
*	Version: 1.0
*	URL: http://rickbeckman.org/freebies/thesis-compatibility-suite/
*	Maintained by Rick Beckman, aka KingdomGeek
*
*	Plugin compatibility request?
*	Send the name of the plugin, an address where it can be downloaded,
*	and as much information as you can about how you would like it to be
*	better implemented with Thesis to rick.beckman@gmail.com
*/


/**
* BRIAN'S LATEST COMMENTS
* Tested version: 1.5.8
* Notes: Adds a widget with options.
*/
if (function_exists('blc_latest_comments')) {
	include('brians_latest_comments.php');
}


/**
* FAVICONS
* Tested version: 2
*/
if (function_exists('comment_favicon')) {
	function custom_favatar() {
		comment_favicon('<span class="favatar"><img src="', '" alt="" class="favatar" /></span>');
	}

	add_action('thesis_hook_before_comment_meta', 'custom_favatar');
}


/**
* OPENID
* Tested version: 3.1.3
* Notes: If comment form display is disabled in OpenID options, output an appropriate text box in the comment form.
*/
if (function_exists('openid_input')) {
	if (!get_option('openid_enable_commentform') && !is_user_logged_in()) {
		function openid_input_custom() {
			echo '<p><input type="text" name="openid_identifier" value="" id="openid_identifier" class="text_input" /><label for="openid_identifier"><a href="http://openid.net/" id="openid_enabled_link" rel="nofollow">OpenID Address</a></label></p>', "\n";
		}
	
		add_action('thesis_hook_comment_form', 'openid_input_custom');
	}

	remove_action('wp_head', 'openid_style');
}


/**
* POPULARITY CONTEST
* Tested version: 1.3b3
* Notes: Adds a widget with options. Removes popularity notice from individual posts.
*/
if (function_exists('akpc_most_popular'))
	include('popularity_contest.php');


/**
* POSSIBLY RELATED CLASSROOM PROJECTS
* Tested version: 0.4
* Notes: Prevents the addition of styling to HEAD. We provide styling in supported.css.
*/
if (class_exists('SocialActionsRedirect'))
	remove_action('wp_head', 'dc_get_style');


/**
* RESULTS COUNT REMIX
* Tested version: 1.0
* Notes: Replaces the Thesis default archive/search introductions.
*/
if (function_exists('results_count_remix')) {
	remove_action('thesis_hook_archive_info', 'thesis_default_archive_info');
	add_action('thesis_hook_archive_info', 'results_count_remix');
}
/**
* RESULTS COUNT
* Tested version: 0.4
* Notes: Replaces the Thesis default archive/search introductions.
*/
elseif (function_exists('wp_searchheader')) {
	remove_action('thesis_hook_archive_info', 'thesis_default_archive_info');
	add_action('thesis_hook_archive_info', 'wp_searchheader');
}

/**
* VERSION OBFUSCATION
* Notes: We don't need no stinkin' evildoers knowing what our WP version is.
*/
if (!is_admin()) {
	$wp_version = date('Y');
}

?>